/**
 * NewGuideGraphCanvas.java
 *
 *
*/
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.lang.*;

public class NewGuideGraphCanvasRadReac extends GraphCanvasNeg{
    //private static final Color bgcolor = new Color(236,236,221);
    //private static final Color bgcolor = new Color(170,240,240);
    private static final Color bgcolor = Color.gray;
    private NewGuide_State state;
    private static final int LeftMargin=10, RightMargin=10, TopMargin=10, BottomMargin=10;
    
    public NewGuideGraphCanvasRadReac(NewGuide_State state){
	
	super();
	this.state = state;
	setBackground(bgcolor);
	
	setYRangeMax(state.XVMax);
	setYRangeMin(state.XVMin);
	plotZeroLine(true);
	plotRefPoint(true);
	setLabels("Self Reactance","","Dipole Length","");
	setRefPoint(state.a);
	plot(state.leng,state.XVector, state.IsDirectivity);
   }
   
}